summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMichał Górny <mgorny@gentoo.org>2020-10-23 21:47:31 +0200
committerMichał Górny <mgorny@gentoo.org>2020-10-23 22:12:22 +0200
commit126188eb47b79980a439b28e6f0a928b64d89b52 (patch)
tree825ff9db7436c35d80783904e2bcf8bef38bc659 /dev-python/pygame
parentmedia-radio/direwolf: Bump to v1.5 (diff)
downloadgentoo-126188eb47b79980a439b28e6f0a928b64d89b52.tar.gz
gentoo-126188eb47b79980a439b28e6f0a928b64d89b52.tar.bz2
gentoo-126188eb47b79980a439b28e6f0a928b64d89b52.zip
dev-python/pygame: Bump to 2.0.0.dev22
Signed-off-by: Michał Górny <mgorny@gentoo.org>
Diffstat (limited to 'dev-python/pygame')
-rw-r--r--dev-python/pygame/Manifest1
-rw-r--r--dev-python/pygame/pygame-2.0.0_pre22.ebuild91
2 files changed, 92 insertions, 0 deletions
diff --git a/dev-python/pygame/Manifest b/dev-python/pygame/Manifest
index ad1ce7cbea7..3c80bad6d53 100644
--- a/dev-python/pygame/Manifest
+++ b/dev-python/pygame/Manifest
@@ -1,3 +1,4 @@
DIST pygame-1.9.6.tar.gz 3223131 BLAKE2B a4d04c933fcad244d32bd512ef8717e60ec923f361e9e0296b5c7d57c5949d3434a040d028249c5b8f3c865ac3dcdbb32e6f0b223186678595a8625213ba2a17 SHA512 d923c554203a7c35e37921658cb4c5bf50215ab0ff4d2b869a1ee6b2e2ca31d66ec4bbde4287f5a777838ffe932cd15b993cb0224b86e43d684de61c35acbcd0
DIST pygame-2.0.0.dev10.tar.gz 5567274 BLAKE2B 7d78f260318cfabeb33f1073ae210f890d2f772e3ef302f243cca67724c6012355644ba60d4cae6de72db6dd61d320177deff6ee83dd355ec4cc33e841b565f7 SHA512 4cee7599fd8a6d31ddd66bfaad3bbb67cb167c1ae339f37e83322d810fea8746e81a191c224a0eeb6cc43a64bf1730ff0886c82f1a4f642e2e656ca9a837bf9e
DIST pygame-2.0.0.dev18.tar.gz 5591175 BLAKE2B 3479e9161e4dc5f00123f359b29f5c133020578bd09fc972f3f2d9e55b1700f4ac5eccc904524e98fe827fa7ed871db130da1f7b9aa8a67da98f42562f2ee766 SHA512 dfa8ac023e5da1688825281dd06e22aa59fa7061dcf17b8ec1c8c84b2bda7e27d39a97be3375d9ccb15aa50a0096be74ef6c80614e5d71729157712463140af1
+DIST pygame-2.0.0.dev22.tar.gz 5596946 BLAKE2B 788a2e328d456198b032226f10b7d0686b7e862bf0106334ed3e26150ece43a1a9a9cbdc4f72f33e27d52e9f7c5e063292170eba9c07213474ecaf295280185a SHA512 2809f101dce256143a57f5b47aac2ceb3c2646301179c37e7545672784a7f8dfd74565d1f6a45c394f59bcfcef4a52473160bf94b494db79a982490a7ac19fd8
diff --git a/dev-python/pygame/pygame-2.0.0_pre22.ebuild b/dev-python/pygame/pygame-2.0.0_pre22.ebuild
new file mode 100644
index 00000000000..a43bd4b4223
--- /dev/null
+++ b/dev-python/pygame/pygame-2.0.0_pre22.ebuild
@@ -0,0 +1,91 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python3_{6..9} )
+
+inherit distutils-r1
+
+MY_PV=${PV/_pre/.dev}
+MY_P=${PN}-${MY_PV}
+
+DESCRIPTION="Python bindings for SDL multimedia library"
+HOMEPAGE="https://www.pygame.org/"
+SRC_URI="
+ https://github.com/pygame/pygame/releases/download/${MY_PV}/${MY_P}.tar.gz"
+S=${WORKDIR}/${MY_P}
+
+LICENSE="LGPL-2.1"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86"
+IUSE="doc examples midi opengl test X"
+RESTRICT="!test? ( test )"
+
+RDEPEND="dev-python/numpy[${PYTHON_USEDEP}]
+ media-libs/freetype
+ >=media-libs/sdl2-image-1.2.2
+ >=media-libs/sdl2-mixer-1.2.4
+ >=media-libs/sdl2-ttf-2.0.6
+ >=media-libs/smpeg2-0.4.4-r1
+ midi? ( media-libs/portmidi )
+ X? ( >=media-libs/libsdl2-1.2.5[opengl?,threads,video,X] )
+ !X? ( >=media-libs/libsdl2-1.2.5[threads] )"
+DEPEND="${RDEPEND}
+ test? (
+ media-libs/sdl2-image[gif,jpeg,png]
+ media-libs/sdl2-mixer[mp3,vorbis,wav]
+ )"
+# fontconfig used for fc-list
+RDEPEND+="
+ media-libs/fontconfig"
+# util-linux provides script
+BDEPEND="
+ test? (
+ media-libs/fontconfig
+ sys-apps/util-linux
+ )"
+
+src_prepare() {
+ if ! use midi; then
+ rm test/midi_test.py || die
+ fi
+ distutils-r1_src_prepare
+}
+
+python_configure() {
+ PORTMIDI_INC_PORTTIME=1 LOCALBASE="${EPREFIX}/usr" \
+ "${EPYTHON}" "${S}"/buildconfig/config.py -auto || die
+
+ # Disable automagic dependency on PortMidi.
+ if ! use midi; then
+ sed -e "s:^pypm :#&:" -i Setup || die "sed failed"
+ fi
+}
+
+python_test() {
+ local -x PYTHONPATH=${BUILD_DIR}/install/lib
+ local -x SDL_VIDEODRIVER=dummy
+ local -x SDL_AUDIODRIVER=disk
+ esetup.py install \
+ --root="${BUILD_DIR}"/install \
+ --install-lib=lib
+ script -eqc "${EPYTHON} -m pygame.tests" || die
+}
+
+python_install() {
+ distutils-r1_python_install
+
+ # Bug #497720
+ rm -fr "${D}"$(python_get_sitedir)/pygame/{docs,examples,tests}/ || die
+}
+
+python_install_all() {
+ distutils-r1_python_install_all
+
+ if use doc; then
+ docinto html
+ dodoc -r docs/*
+ fi
+
+ use examples && dodoc -r examples
+}